Last Comment Bug 654710 - TI: [infer failure] Missing type at #2:00000 pushed 0: Shell.bindMethod
: TI: [infer failure] Missing type at #2:00000 pushed 0: Shell.bindMethod
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks: infer-regress langfuzz
  Show dependency treegraph
 
Reported: 2011-05-04 08:10 PDT by Christian Holler (:decoder)
Modified: 2011-08-05 00:54 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Christian Holler (:decoder) 2011-05-04 08:10:04 PDT
The following testcase crashes on TI revision 3062ff7fef83 (run with -n -a),
tested on 64 bit:

var BUGNUMBER = 290488;
function getBoundMethod() {
  return it.bindMethod("boundMethod", function () bindMethod*2 * bindMethod);
}
var func = getBoundMethod();
func();
Comment 1 Brian Hackett (:bhackett) 2011-05-09 13:12:38 PDT
bindMethod is a shell-only function which can reparent a function however it sees fit (emulating browser functionality I guess).  This plays havoc with compileAndGo invariants, so this fix just has bindMethod throw if it is used on a non-compileAndGo script.

http://hg.mozilla.org/projects/jaegermonkey/rev/c14db8ce8f48
Comment 2 Brian Hackett (:bhackett) 2011-05-09 13:13:24 PDT
Er, the fix only has bindMethod throw if it is used on a compileAndGo script.

Note You need to log in before you can comment on or make changes to this bug.